package com.jy.business.corporation.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.corporation.model.dto.CorporationDto;
import com.jy.business.corporation.model.dto.CorporationSelectDto;
import com.jy.business.corporation.model.vo.CorporationVo;

import java.util.List;

/**
 * <p>
 * 公司信息 服务类
 * </p>
 *
 * @author
 * @since 2024-10-16
 */
public interface CorporationService {

    /**
     * 公司信息分页
     */
    Page<CorporationVo> getPage(CorporationSelectDto dto);

    /**
     * 公司信息明细
     */
    CorporationVo getDetail(Long id);

    /**
     * 公司信息新增
     */
    void add(CorporationDto dto);

    /**
     * 公司信息编辑
     */
    void edit(CorporationDto dto);

    /**
     * 公司信息删除
     */
    void delete(List<Long> idList);

}
